Skip to main content
GET
/
v1
/
places
/
search
curl "https://api.telzino.com/v1/places/search?q=Acme%20Coffee%20Chicago" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
  "data": [
    { "placeId": "ChIJN1t_tDeuEmsRUsoyG83frY4", "text": "Acme Coffee — 123 Main St, Chicago, IL" }
  ]
}

Query Parameters

q
string
required
Business name or address to search for. Queries shorter than 3 characters return an empty list; the maximum length is 256 characters.
Returns place suggestions. Use the placeId from a result as the googlePlaceId on Create or Update Agent.
curl "https://api.telzino.com/v1/places/search?q=Acme%20Coffee%20Chicago" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
  "data": [
    { "placeId": "ChIJN1t_tDeuEmsRUsoyG83frY4", "text": "Acme Coffee — 123 Main St, Chicago, IL" }
  ]
}